Bug 21165 - sndconfig isapnp errors
sndconfig isapnp errors
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
7.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-21 01:49 EST by Yeroc
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:18:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/isapnp.conf (26.49 KB, text/plain)
2000-11-30 02:04 EST, Yeroc
no flags Details

  None (edit)
Description Yeroc 2000-11-21 01:49:30 EST
This is on a stock RedHat 7.0 install + ALSA drivers using mpg123 to play
mp3s on a p2-333mhz machine with 128MB RAM.  This is hardly a marginal 
machine for playing mp3s.  In fact when running 'top' cpu utilization with 
mpg123 running is around 5% or so...so I'm baffled as to why I'm 
experiencing dropouts.  It doesn't appear to be cpu-load related as it 
does it even with just mpg123 (under Xwindows & Gnome) running.

What's going on here?  And what is the fix?  How can RH7.0 purport to be
a modern OS if it can't even play mp3s properly?

I've filed this under the component mpg123, although I don't believe it's 
mpg123's fault...
Comment 1 Yeroc 2000-11-21 01:55:15 EST
The generic 'multimedia' component looks more appropriate...
Comment 2 Bill Nottingham 2000-11-21 10:57:07 EST
'multimedia' is actually its own package.

In any case, what driver are you using under ALSA, and what X server and
driver?
Comment 3 Yeroc 2000-11-21 20:07:07 EST
Ok...here are some more details on my configuration:

- HP Vectra VL/333mhz p2
- RH7.0
- X11 (MatroxIMGA 2164W [Millenium II] supported using the XF86_SVGA driver) as 
reported by Xconfigurator.

These are the alsa versions installed (current as of last night):
- alsa-lib-0.5.9
- alsa-utils-0.5.9b
- alsa-driver-0.5.9d

I'm loading the following alsa modules:
- snd-card-azt2320
- snd-pcm-oss
- snd-mixer-oss
- snd-seq-oss

I just tested again, this time with XMMS...I'm experiencing dropouts roughly 6-
10 seconds apart.
Comment 4 Bill Nottingham 2000-11-22 00:18:12 EST
Are you absolutely sure you're using XFree86-SVGA and not XFree86 4.0.1?

What happens if you run mpg123 from the console?
Comment 5 Yeroc 2000-11-22 01:16:24 EST
How do I check this (whether I'm running 4.0 vs. 3.x)?  I should be running 
whatever the default is.

Without X running at all things work substantially better although I did notice 
a couple dropouts...in this case I would go maybe 5minutes between 
dropouts...still less than impressive but a lot better.  
Comment 6 Bill Nottingham 2000-11-22 01:22:14 EST
You can tell by what the symlink /etc/X11/X points to -
if it points to /usr/X11R6/bin/XFree86, that's XFree 4;
/usr/X11R6/bin/XF86_SVGA, that's XFree 3.
Comment 7 Yeroc 2000-11-22 01:38:05 EST
Ok in that case I appear to be running XFree 3.  Does RH7.0 not default to 
using version 4.0.1?
Comment 8 Bill Nottingham 2000-11-28 00:24:01 EST
It defaults to whatever seems most appropriate, depending on the
video card installed. With a Millenium II, it probably doesn't make
a lot of difference.

What does 'lspci -v' say?
Comment 9 Yeroc 2000-11-28 00:30:25 EST
Here's the output from lspci -v:

[root@muse /root]# lspci -v
00:00.0 Host bridge: Intel Corporation 440LX/EX - 82443LX/EX Host bridge (rev 
03)
        Flags: bus master, medium devsel, latency 64
        Memory at e0000000 (32-bit, prefetchable)
        Capabilities: [a0] AGP version 1.0

00:01.0 PCI bridge: Intel Corporation 440LX/EX - 82443LX/EX AGP bridge (rev 03) 
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, medium devsel, latency 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=64

00:04.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 01)
        Flags: bus master, medium devsel, latency 0

00:04.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80 
[Master])
        Flags: bus master, medium devsel, latency 64
        I/O ports at fcd0

00:04.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 
00 [UHCI])
        Flags: medium devsel, IRQ 11
        I/O ports at fce0

00:04.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 01)
        Flags: medium devsel

00:07.0 VGA compatible controller: Matrox Graphics, Inc. MGA 2164W [Millennium 
II] (prog-if 00 [VGA])
        Subsystem: Matrox Graphics, Inc.: Unknown device 2100
        Flags: medium devsel, IRQ 9
        Memory at fd000000 (32-bit, prefetchable)
        Memory at fedfc000 (32-bit, non-prefetchable)
        Memory at fe000000 (32-bit, non-prefetchable)

00:0a.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 
24)
        Subsystem: 3Com Corporation 3C905B Fast Etherlink XL 10/100
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at fc00
        Memory at fedfbc00 (32-bit, non-prefetchable)
        Capabilities: [dc] Power Management version 1
Comment 10 Bill Nottingham 2000-11-28 01:03:55 EST
What IRQ/I/O port, etc. are you using for the sound card?
Comment 11 Yeroc 2000-11-29 00:35:04 EST
I'm not specifying either in /etc/modules.conf.  How do I check these values?
Comment 12 Bill Nottingham 2000-11-29 02:30:50 EST
Is it an ISAPnP card?  If so, what's in /proc/isapnp?
Comment 13 Yeroc 2000-11-29 10:24:16 EST
It's an on-board card so I wasn't sure...anyhow it does show up 
under /proc/isapnp.  Here's the info verbatim:

  Logical device 1 'AZT1008:AUDIO'
    Supported registers 0x2
    Device is active
    Active port 0x220,0x388,0x534
    Active IRQ 5 [0x2]
    Active DMA 1,3
    Resources 0
      Priority preferred
      Port 0x220-0x220, align 0xf, size 0x10, 16-bit address decoding
      Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
      Port 0x534-0x534, align 0x3, size 0x4, 16-bit address decoding
      IRQ 5 High-Edge
      DMA 1 8-bit byte-count compatible
      DMA 3 8-bit byte-count compatible
      Alternate resources 0:1
        Priority acceptable
        Port 0x220-0x240, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
        Port 0x534-0x608, align 0xd3, size 0x4, 16-bit address decoding
        IRQ 5,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:2
        Priority acceptable
        Port 0x220-0x240, align 0x1f, size 0x10, 16-bit address decoding
        Port 0x388-0x388, align 0x7, size 0x8, 16-bit address decoding
        Port 0xe84-0xf44, align 0xbf, size 0x4, 16-bit address decoding
        IRQ 5,2/9,10 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:3
        Priority acceptable
        Port 0x100-0x3f0, align 0xf, size 0x10, 16-bit address decoding
        Port 0x100-0x3f8, align 0x7, size 0x8, 16-bit address decoding
        Port 0x100-0xffc, align 0x3, size 0x4, 16-bit address decoding
        IRQ 3,4,5,2/9,10,11,15 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:4
        Priority acceptable
        Port 0x100-0x3f0, align 0xf, size 0x10, 16-bit address decoding
        Port 0x100-0x3f8, align 0x7, size 0x8, 16-bit address decoding
        Port 0x100-0xffc, align 0x3, size 0x4, 16-bit address decoding
        IRQ 3,4,5,2/9,10,11,15 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
  Logical device 2 'AZT2001:MPU401 MIDI'
    Supported registers 0x2
    Device is active
    Active port 0x300
    Active IRQ 3 [0x2]
    Resources 0
      Priority preferred
      Port 0x330-0x330, align 0x1, size 0x2, 16-bit address decoding
      IRQ 2/9 High-Edge
      Alternate resources 0:1
        Priority acceptable
        Port 0x300-0x330, align 0x2f, size 0x2, 16-bit address decoding
        IRQ 3,4,5,2/9,10,11,15 High-Edge
      Alternate resources 0:2
        Priority acceptable
        Port 0x100-0x3fe, align 0x1, size 0x2, 16-bit address decoding
        IRQ 3,4,5,2/9,10,11,15 High-Edge
  Logical device 3 'AZT3001:GAME PORT'
    Supported registers 0x2
    Device is active
    Active port 0x200
    Resources 0
      Priority preferred
      Port 0x200-0x200, align 0x7, size 0x8, 16-bit address decoding
      Alternate resources 0:1
        Priority acceptable
        Port 0x208-0x208, align 0x7, size 0x8, 16-bit address decoding
Comment 14 Bill Nottingham 2000-11-29 16:01:30 EST
OK, that *looks* OK. It still seems that interrupts are getting dropped, somehow.

Can you mark IRQ 9 in your BIOS as reserved for ISA cards, so that the Matrox
card gets put on something else?
Comment 15 Yeroc 2000-11-29 19:55:20 EST
I was able to reserve irq9 in BIOS.  However, it made no difference.  I don't 
think it's interrupts that are getting dropped...or at least not the soundcard 
that's dropping them because during the 'dropouts' I don't typically end up 
with no sound.  What I end up with is more of an echo effect with the soundcard 
apparently looping over some buffer and playing the same split-second of audio 
over and over again for a couple of seconds as if XMMS can't feed the audio 
buffer fast enough.  (I'm just guessing here.)

Comment 16 Bill Nottingham 2000-11-30 00:34:31 EST
Hm. What happens if you
a) turn on DMA for your hard drive
b) use the base kernel drivers
   (modprobe ad1848 io=0x530 irq=5 dma=1 dma2=3)
Comment 17 Yeroc 2000-11-30 01:46:39 EST
Doing a hdparm -c 3 -d 1 does seem to help quite a bit.  I had tried some 
hdparm settings from one of the Sound FAQs but I didn't realize they weren't 
persistent across reboots!  ARGH!!!  What's the recommended way to get hdparm 
settings to be persistent?  BTW, why doesn't Linux detect and set proper DMA 
settings automatically?  I don't have to mess with these settings under other 
OSes.

I had initially tried using the sound drivers that come with RH7.0 but 
sndconfig wasn't able to configure my soundcard...which I assumed was simply 
because it wasn't supported.  This probably belongs in a separate bug report 
but when I run sndconfig I get the following error:

The following error occured running the isapnp program:

Don't know what to do with CONFIGURE AZT1008/-1 (LD 1 on or around line 77
/etc/isapnp.conf:77 -- Fatal - Error occurred parsing config file --- no action 
taken.

Comment 18 Bill Nottingham 2000-11-30 01:50:54 EST
You can make hdparm settings persistent by editing /etc/sysconfig/harddisks.

As for the other error - do you have multiple isapnp cards? Could you
post your /etc/isapnp.conf file?
Comment 19 Yeroc 2000-11-30 02:01:57 EST
BTW, when I try your suggested modprobe command I get the following:

[root@muse /root]# modprobe ad1848 io=0x530 irq=5 dma=1 dma2=3
/lib/modules/2.2.16-22/misc/ad1848.o: init_module: Device or resource busy
Hint: insmod errors can be caused by incorrect module parameters, including
invalid IO or IRQ parameters
/lib/modules/2.2.16-22/misc/ad1848.o: insmod
/lib/modules/2.2.16-22/misc/ad1848.o failed
/lib/modules/2.2.16-22/misc/ad1848.o: insmod ad1848 failed

(This was after rebooting to remove the ALSA drivers...)
Comment 20 Yeroc 2000-11-30 02:04:13 EST
Created attachment 5849 [details]
/etc/isapnp.conf
Comment 21 Bill Nottingham 2005-01-21 17:18:43 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.